package com.caimei.mapper.order;

import com.caimei.entity.CmMallShopOrder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

// @Mapper
public interface CmMallShopOrderMapper {

    List<CmMallShopOrder> findList(CmMallShopOrder cmMallShopOrder);

    int delete(@Param("shopOrderID") Integer shopOrderID);

    int update(CmMallShopOrder cmMallShopOrder);

    int delete(CmMallShopOrder cmMallShopOrder);

    int insert(CmMallShopOrder cmMallShopOrder);

    int insertCmShopOrder(CmMallShopOrder cmMallShopOrder);

    CmMallShopOrder get(@Param("shopOrderID") Integer shopOrderID);

    List<CmMallShopOrder> listShopOrderByIDs(@Param("shopOrderIDs") String shopOrderIDs);

    int updateOrderOwner(Map<String, Object> param);

    int updateRefundsInfo(@Param("shopOrderID") Integer shopOrderID, @Param("orderStatusFlag") String orderStatusFlag);

    CmMallShopOrder findByShopID(@Param("orderID") Integer orderID, @Param("shopID") Integer shopID);

    List<CmMallShopOrder> findMaxShopOrderNo(@Param("orderID") Integer orderID);

    List<Map<String, Object>> countSupplierOrders(@Param("shopID") Integer shopID);

    List<Map<String, Object>> salesRanking(@Param("shopID") Integer shopID);

    List<Map<String, Object>> salesStatistics(@Param("shopID") Integer shopID, @Param("startTime") String startTime, @Param("endTime") String endTime);

    int shopOrderBak(CmMallShopOrder cmMallShopOrder);

    List<CmMallShopOrder> findListByOrderID(@Param("orderID") Integer orderID);

    Double findTotalTaxByOrderID(Integer orderID);

    Integer getShopOrderBak(@Param("shopOrderNo") String shopOrderNo);
}
