package com.caimei.mapper.user;

import com.caimei.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

// @Mapper
public interface PersonalMapper {

    CmMallClub myCentre(CmMallOperationUser operationUser);

    List<CmMallUserBalanceRecord> touchBalance(CmMallUserBalanceRecord balanceRecord);

    List<CmMallProvince> findAllProvince();

    List<CmMallCity> findAllCity(Long provinceid);

    List<CmMallTown> findAllTown(Integer cityid);

    List<CmMallAddress> findAddress(Integer userID);

    CmMallAddress findCantonal(Integer townID);

    void saveAddress(CmMallAddress cmMallAddress);

    void updateAddress(CmMallAddress cmMallAddress);

    void deleteAddress(Integer addressID);

    CmMallAddress findDefaultAddress(Integer userID);

    Double ableUserMoney(Integer userId);

    CmMallUserInvoiceInfo findInvoice(Integer userId);

    void invoice(CmMallUserInvoiceInfo cmMallUserInvoiceInfo);

    void updateInvoice(CmMallUserInvoiceInfo cmMallUserInvoiceInfo);

    Integer findOrderCount(@Param("userID") Integer userID, @Param("orderState") Integer orderState, @Param("organizeID") Integer organizeID);
}
